This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477969 - Xorg CPU percentage is unusually high
Xorg CPU percentage is unusually high
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 12:33 EST by Todd Newell
Modified: 2009-12-18 02:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:24:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf from affected system (979 bytes, text/plain)
2009-01-08 14:23 EST, Todd Newell
no flags Details
Xorg.0.log from affected system (77.12 KB, text/plain)
2009-01-08 14:25 EST, Todd Newell
no flags Details
Xorg.1.log from affected system (75.37 KB, text/plain)
2009-01-08 14:26 EST, Todd Newell
no flags Details
Xorg.2.log from affected system (87.13 KB, text/plain)
2009-01-08 14:27 EST, Todd Newell
no flags Details
Xorg.3.log from affected system (86.55 KB, text/plain)
2009-01-08 14:28 EST, Todd Newell
no flags Details
Xorg.0.log from affected system (using nomodeset kernel parameter) (85.34 KB, text/plain)
2009-01-08 14:30 EST, Todd Newell
no flags Details

  None (edit)
Description Todd Newell 2008-12-26 12:33:56 EST
Description of problem: On an otherwise idle Fedora 10 system, when a terminal window is opened and "top" run, Xorg shows a CPU usage of at least 10%.  This percentage increases or decreases if I increase or decrease (respectively) the size of the terminal window.  Also, other actions that change the screen display (such as mouse movements, opening or scrolling a browser window) make the CPU percentage of Xorg jump abnormally high (sometimes up to 80% in my observations).  This is on a system with 4GB of RAM and a dual-core processor (2 x 2.4GHz).


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.3-6.fc10.i386
xorg-x11-server-common-1.5.3-6.fc10.i386


How reproducible:
Very

Steps to Reproduce:
1. Boot system into X Windows
2. Open terminal window and run top command
3.
  
Actual results:
Xorg shows in top as constantly taking up 10% or more of CPU.  This percentage increases if the terminal window size is increased.

Expected results:
Xorg should take 1-3% of CPU resources, as seen on other F10 machines.

Additional info:
I get the same results whether I use an ATI driver or the generic VESA driver.
Comment 1 Todd Newell 2009-01-05 18:54:23 EST
Today (1/5/2009) our computer was updated with the latest ATI driver (xorg-x11-drv-ati-6.9.0.63.fc10.i386.rpm) and we get the same results as detailed above.  None of our Fedora 9 machines have this problem.
Comment 2 Matěj Cepl 2009-01-07 09:05:11 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run with "nomodeset" string on the kernel command line (press any Ctrl on startup to get grub menu and then "a" on the chosen kernel to get kernel command line editor)? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Todd Newell 2009-01-08 14:23:37 EST
Created attachment 328482 [details]
xorg.conf from affected system

I am attaching 6 files:  xorg.conf, Xorg.0.log, Xorg.1.log, Xorg.2.log, Xorg.3.log, and Xorg.0.log.nomodeset.  The last one is the Xorg.0.log when booting using the nomodeset option as was requested.  The other Xorg.*.log files are with a normal boot.

Thanks for looking into this issue.
Todd
Comment 4 Todd Newell 2009-01-08 14:25:04 EST
Created attachment 328483 [details]
Xorg.0.log from affected system
Comment 5 Todd Newell 2009-01-08 14:26:09 EST
Created attachment 328484 [details]
Xorg.1.log from affected system
Comment 6 Todd Newell 2009-01-08 14:27:08 EST
Created attachment 328485 [details]
Xorg.2.log from affected system
Comment 7 Todd Newell 2009-01-08 14:28:14 EST
Created attachment 328486 [details]
Xorg.3.log from affected system
Comment 8 Todd Newell 2009-01-08 14:30:44 EST
Created attachment 328487 [details]
Xorg.0.log from affected system (using nomodeset kernel parameter)
Comment 9 cross 2009-04-05 17:28:10 EDT
Same problem.
Normally I use Feodra on my laptop to diminish the system resource usage. But today I got a new desktop PC, I installed fedora on that one. I found the fans is very loud when I run firefox to browse with some images or videos, it's extremely loud, not normal. But this doesn't happen when I switch to Windows XP on the same machine.

I compared the cpu usage, apparently, the reason why the machine becomes loud is the cpu usage within Fedora. Xorg is always the top 1, at least 10% usage if there is any images on the webpages.
Comment 10 Shadab I. Wadiwala 2009-05-12 14:48:23 EDT
I did a good amount of research for the entire day on Sunday May 10, 2009

Finally on 12th May I referred the following link.

http://www.bramschoenmakers.nl/en/node/549  ( Fixing Plasma performance with the open source Radeon driver ) 

I implemented the solution provided in the above link on my IBM Thinkpad R40, with ATI Mobility Radeon R40 ( R100 based chip )

i am running  Fedora 10

Earlier I used to have a Xorg CPU percentage unusually high 
Mostly above 90 % always

I had a slow response especially using Firefox tabbing ( a delay of about 2 seconds )

Also, the response was slow using Dolphin file manager and doing all such tasks

But now after implementing the solution provided in http://www.bramschoenmakers.nl/en/node/549

THE CPU percentage for Xorg process has considerably reduced.

I can use Firefox tabs with ease ( almost immediate response to mouse click )

Also when I click any icon in Dolphin, it opens up almost immediately

I hope my inputs will help in speedy resolution of this bug

I am thankful to Bram Schoenmakers for his valuable solution at http://www.bramschoenmakers.nl/en/node/549
Comment 11 Shadab I. Wadiwala 2009-05-12 14:50:18 EDT
Use the following two options in Xorg.conf  under Device section

Option "AccelMethod" "EXA"
Option "AccelDFS" "true"
Comment 12 Bug Zapper 2009-11-18 05:34:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 02:24:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.